Create a firewall rule for a public IP address
Authentication
X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret
Path parameters
ipId
ID of the public IP address
Request
This endpoint expects an object.
protocol
Protocol the rule applies to.
Allowed values:
sourceCidrList
Source CIDR allowed to reach the rule target.
startPort
Start of the port range (1-65535). Required for TCP and UDP.
endPort
End of the port range (1-65535). Must be greater than or equal to startPort.
type
Direction of traffic this rule applies to.
Allowed values:
Response
The firewall rule has been created
id
Unique identifier for the firewall rule.
protocol
Protocol the rule applies to. One of TCP, UDP, ICMP, or ALL.
ipAddressId
Identifier of the public IP the rule is attached to.
ipAddress
Public IP address the rule is attached to.
state
Current lifecycle state of the rule.
sourceCidrList
Source CIDR allowed to reach the rule target.
startPort
Start of the port range the rule applies to.
endPort
End of the port range the rule applies to.
type
Direction of traffic this rule applies to.
createdAt
When the rule was created.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error